cURL
curl --request POST \
--url https://cloud.nrai.io/api/v1/project-releases \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "ROLLBACK",
"name": "<string>",
"projectId": "<string>",
"projectReleaseId": "<string>",
"description": "<string>",
"selectedFlowsIds": [
"<string>"
]
}
'import requests
url = "https://cloud.nrai.io/api/v1/project-releases"
payload = {
"type": "ROLLBACK",
"name": "<string>",
"projectId": "<string>",
"projectReleaseId": "<string>",
"description": "<string>",
"selectedFlowsIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'ROLLBACK',
name: '<string>',
projectId: '<string>',
projectReleaseId: '<string>',
description: '<string>',
selectedFlowsIds: ['<string>']
})
};
fetch('https://cloud.nrai.io/api/v1/project-releases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"created": "<string>",
"updated": "<string>",
"projectId": "<string>",
"name": "<string>",
"fileId": "<string>",
"type": "GIT",
"description": "<string>",
"importedBy": "<string>",
"importedByUser": {
"id": "<string>",
"email": "<string>",
"firstName": "<string>",
"status": "ACTIVE",
"platformRole": "ADMIN",
"lastName": "<string>",
"created": "<string>",
"updated": "<string>",
"externalId": "<string>",
"lastChangelogDismissed": "<string>",
"platformId": "<string>"
}
}Project Releases
Create Project Release
POST
/
v1
/
project-releases
cURL
Authorizations
Use your api key generated from the admin console
Body
application/json
Response
201 - application/json
Default Response
Available options:
GIT Show child attributes
Show child attributes
⌘I